# Generated by Django 3.0.6 on 2020-06-13 23:10

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('survey', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='GenderDetailed',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('genderdetailed', models.IntegerField(choices=[(0, 'Male'), (1, 'Female'), (2, 'Transgender'), (3, 'Gender Non-Conforming(i.e., not exclusively male or female)'), (99, 'Not Sure')], default=1, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='HomelessLength',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('homelesslength', models.IntegerField(choices=[(0, 'Days'), (1, 'Weeks'), (2, 'Months'), (3, 'Years'), (99, 'DK/REF')], default=2)),
            ],
        ),
        migrations.CreateModel(
            name='LastNight',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lastnight', models.IntegerField(choices=[(1, 'Street or sidewalk'), (2, 'Vehicle (car, van, RV, truck)'), (3, 'Park'), (4, 'Abandoned building'), (5, 'Bus, train station, airport'), (6, 'Under bridge/overpass'), (7, 'Woods or outdoor encampment'), (8, 'Other location (specify)'), (9, 'Emergency Shelter'), (10, 'Transitional Housing'), (11, 'Motel/Hotel'), (12, 'House or apartment'), (13, 'Jail, hospital, treatment program')], default=1)),
            ],
        ),
        migrations.CreateModel(
            name='Relationship',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('relationship', models.IntegerField(choices=[(0, 'Self'), (1, 'Child'), (2, 'Spouse'), (3, 'Other Family'), (4, 'Non-Married Partner'), (5, 'Other, Non-Family')], default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Survey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('survey_adults', models.IntegerField(default=0, null=True)),
                ('survey_children', models.IntegerField(default=0, null=True)),
                ('survey_householdnum', models.IntegerField(default=0, editable=False)),
            ],
        ),
        migrations.CreateModel(
            name='Survey_Individual',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='TimesHomeless',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timeshomeless', models.IntegerField(choices=[(0, 'Less than 4 times'), (1, '4 or more times'), (99, 'DK/REF')], default=0)),
            ],
        ),
        migrations.CreateModel(
            name='YesNoDK',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('yesnodk', models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], default=1)),
            ],
        ),
        migrations.AddField(
            model_name='observation',
            name='obs_householdnum',
            field=models.IntegerField(default=0, editable=False),
        ),
        migrations.RemoveField(
            model_name='observation',
            name='obs_client',
        ),
        migrations.AddField(
            model_name='observation',
            name='obs_client',
            field=models.ManyToManyField(to='survey.Observation_Individual'),
        ),
        migrations.CreateModel(
            name='SurveyCase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('survey_or_obs', models.IntegerField(choices=[(0, 'No'), (1, 'Yes')], default=1)),
                ('observation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='survey.Observation')),
                ('survey', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='survey.Survey')),
            ],
        ),
        migrations.AddField(
            model_name='survey',
            name='survey_client',
            field=models.ManyToManyField(to='survey.Survey_Individual'),
        ),
        migrations.AddField(
            model_name='survey',
            name='survey_lastnight',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='survey.LastNight'),
        ),
        migrations.AddField(
            model_name='survey',
            name='survey_user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]
