# Generated by Django 3.0.6 on 2020-06-18 15:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('survey', '0002_auto_20200613_1910'),
    ]

    operations = [
        migrations.CreateModel(
            name='Barriers',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('barriers', models.IntegerField(choices=[(0, '(a) Alcohol use/Illegal drug use'), (1, '(b) Psychiatric/emotional condition'), (2, '(c) Physical disability'), (3, 'DK/REF')], default=0)),
            ],
        ),
        migrations.AddField(
            model_name='survey',
            name='survey_repeat',
            field=models.IntegerField(choices=[(0, 'No'), (1, 'Yes')], default=1),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_surey_firsttime',
            field=models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Is this the first time you have been homeless?', null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_age_exact',
            field=models.IntegerField(default=0, help_text='How old are you? [ENTER NUMBER]', null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_age_grouped',
            field=models.ForeignKey(help_text='[IF HESITANT ASK:] Are You?', null=True, on_delete=django.db.models.deletion.CASCADE, to='survey.Age'),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_benefits',
            field=models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Do you receive any disability benefits such as\nSocial Security Income, Social Security Disability Income,\nor Veteran’s Disability Benefits?', null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_ethnicity',
            field=models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Are you Hispanic or Latino?', null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_gender',
            field=models.ForeignKey(help_text='What is your gender?', null=True, on_delete=django.db.models.deletion.CASCADE, to='survey.GenderDetailed'),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_hhconfirm',
            field=models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Are you staying with this person tonight?', null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_homelesslength',
            field=models.ForeignKey(help_text='How long have you been homeless this time?\nOnly include time spent staying in shelters and/or on the streets.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='this_time', to='survey.HomelessLength'),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_homelesslength_number',
            field=models.IntegerField(help_text='Enter number of days/weeks/months/Years:', null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_initials',
            field=models.CharField(help_text='What are your initials?', max_length=25, null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_nonhhlastnight',
            field=models.CharField(help_text='Where are you staying tonight?', max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_race',
            field=models.ManyToManyField(help_text="What is your race? You can select one or more races.\n[READ CATEGORIES, DO NOT READ 'Please Specify.']", to='survey.Race'),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_race_other',
            field=models.CharField(help_text='Please Specify.', max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_relationship',
            field=models.ForeignKey(help_text="How are you related to the Head of Household (select 'Self' for the HoH)", null=True, on_delete=django.db.models.deletion.CASCADE, to='survey.Relationship'),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_served',
            field=models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Have you served in the United States Armed Force\n(Army, Navy, Air Force, Marine Corps, or Coast Guard)?', null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_served_VHA',
            field=models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Have you ever received health care or benefits from a Veterans Administration medical center?', null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_served_guard_res',
            field=models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Were you ever called into active duty\nas a member of the National Guard or as a Reservist? ', null=True),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_timeshomeless',
            field=models.ForeignKey(help_text='Including this time, how many times have you been homeless in the past 3 years?\nWas it 4 or more times or less than 4 times?', null=True, on_delete=django.db.models.deletion.CASCADE, to='survey.TimesHomeless'),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_timeshomeless_length',
            field=models.ForeignKey(help_text='If you add up all the times you have been homeless in the last 3 years,\nhow long have you been homeless? [ENTER DAYS OR WEEKS OR MONTHS OR YEARS]', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='total_time', to='survey.HomelessLength'),
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_timeshomeless_number',
            field=models.IntegerField(help_text='Enter number of days/weeks/months/Years:', null=True),
        ),
        migrations.CreateModel(
            name='Survey_IndividualExtra',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_survey_substance', models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Do you drink alcoholic beverages or use drugs\n(illegal or prescription for nonmedical reasons)?\n[IF NECESSARY: non-medical reasons means because of the experience or feeling the drug caused.]')),
                ('client_survey_mhealth', models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Do you have psychiatric or emotional conditions such as depression or schizophrenia?')),
                ('client_survey_phealth', models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Do you have a physical disability? This could include something that substantially limits one or more basic physical activities such as walking, climbing stairs, reaching, lifting, or carrying?')),
                ('client_survey_stablehousing', models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Do any of the situations we just discussed keep you from holding a job or living in stable housing?')),
                ('client_survey_specialed', models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Have you ever received special education (or special ed.) services for an extended period of time?')),
                ('client_survey_HIVAIDS', models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Do you have AIDS or an HIV-related illness?')),
                ('client_survey_DV', models.IntegerField(choices=[(0, 'No'), (1, 'Yes'), (99, 'DK/REF')], help_text='Are you experiencing homelessness because you are currently fleeing domestic violence, dating violence, sexual assault, or stalking?')),
                ('client_survey_barriers', models.ManyToManyField(help_text='Which ones keep you from holding a job or living in stable housing?', to='survey.Barriers')),
            ],
        ),
        migrations.AddField(
            model_name='survey_individual',
            name='client_survey_over18',
            field=models.OneToOneField(help_text='The next set of questions asks about sensitive topics. You don’t have to answer any question that you don’t\nwant to however your answers will be combined with the answers of other people who take the survey and\nused to help provide better programs and services to homeless people.', null=True, on_delete=django.db.models.deletion.CASCADE, to='survey.Survey_IndividualExtra'),
        ),
    ]
